<?php

namespace Superrobota;

use DB;
use Illuminate\Database\Seeder;

class SoftskillTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('soft_skills')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'softskill.soft_skills.view',
                'name'      => 'View SoftSkills',
            ],
            [
                'slug'      => 'softskill.soft_skills.create',
                'name'      => 'Create SoftSkills',
            ],
            [
                'slug'      => 'softskill.soft_skills.edit',
                'name'      => 'Update SoftSkills',
            ],
            [
                'slug'      => 'softskill.soft_skills.delete',
                'name'      => 'Delete SoftSkills',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/softskill/soft_skills',
                'name'        => 'SoftSkills',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/softskill/soft_skills',
                'name'        => 'SoftSkills',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'soft_skills',
                'name'        => 'SoftSkills',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Softskill',
                'module'    => 'SoftSkills',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'softskill.soft_skills.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
