<?php

namespace Superrobota\Softskill\Repositories\Eloquent;

use Superrobota\Softskill\Interfaces\SoftSkillsRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class SoftSkillsRepository extends BaseRepository implements SoftSkillsRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('superrobota.softskill.soft_skills.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('superrobota.softskill.soft_skills.model.model');
    }
}
